package com.qmth.jkserver.dto.wps;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: wps答案vo
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/5/8
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class WpsAnswerVo implements Serializable {

    @ApiModelProperty(value = "wps题号id")
    String id;

    @ApiModelProperty(value = "小题号")
    Integer number;

    @ApiModelProperty(value = "题目集合")
    List<WpsAnswerQuestionVo> questions;

    public WpsAnswerVo() {

    }

    public WpsAnswerVo(String id, Integer number, List<WpsAnswerQuestionVo> questions) {
        this.id = id;
        this.number = number;
        this.questions = questions;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public List<WpsAnswerQuestionVo> getQuestions() {
        return questions;
    }

    public void setQuestions(List<WpsAnswerQuestionVo> questions) {
        this.questions = questions;
    }
}
